# https://github.com/bmizerany/perks
%global provider_prefix github.com/bmizerany/perks
%global gobaseipath     %{provider_prefix}
%global commit          d9a9656a3a4b1c2864fdb44db2ef8619772d92aa
%global commitdate      20140716

%gocraftmeta -i

Name:           %{goname}
Version:        0
Release:        0.12.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Effective Computation of Things
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         add-license.patch

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{gobaseipath} prefix.

%prep
%gosetup
%patch0 -p1

%install
%goinstall quantile/exampledata.txt ./quantile

%check
%gochecks %{gobaseipath}/{histogram,quantile}

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.20140716gitd9a9656
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.gitd9a9656
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.gitd9a9656
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.gitd9a9656
- Update to spec-2.1
  related: #1248668

* Thu Jul 30 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.gitd9a9656
- Update spec file to spec-2.0
  resolves: #1248668

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.gitd9a9656
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitd9a9656
- First package for Fedora
  resolves: #1190431


